=== debian/changelog ===
libmesh (0.7.1-2ubuntu1) precise; urgency=low

  * Remove hardcoded reference to vtk5.6 in debian/rules

 -- Andreas Moog <amoog@ubuntu.com>  Mon, 26 Dec 2011 10:59:10 +0100

libmesh (0.7.1-2build1) precise; urgency=low

  * Rebuild for libvtk transition

 -- Andreas Moog <amoog@ubuntu.com>  Sun, 25 Dec 2011 23:45:09 +0100

libmesh (0.7.1-2) unstable; urgency=low

  * Team upload
  * libmesh-dev: libpetsc3.1-dev & libslepc3.1-dev dependencies updates (thanks
    to Stefano Rivera for pointing this issue.
  * Replace linux-gnu-c-opt to $(shell petscarch) in the PETSC_ARCH= declaration

 -- Sylvestre Ledru <sylvestre@debian.org>  Thu, 11 Aug 2011 15:53:02 +0200

libmesh (0.7.1-1) unstable; urgency=low

  * Team upload
  * New upstream release
    - Use a more recent version of vtk (Closes: #577584)
  * Update the dependency on libpetsc (Closes: #618233)
  * doxygen-latex replaces doxygen and texlive-* dep (Closes: #616258)
  * Standards-Version updated to version 3.9.2
  * Package moved to Debian Science
  * mpi-default-dev added a build dep (Closes: #576969)
  * Switch to dpkg-source 3.0 (quilt) format
  * old-fsf-address-in-copyright-file fixed
  * debhelper-but-no-misc-depends fixed
  * debian-rules-missing-recommended-target fixed

 -- Sylvestre Ledru <sylvestre@debian.org>  Tue, 02 Aug 2011 14:46:47 +0200

libmesh (0.6.4.dfsg-1) unstable; urgency=low

  * New upstream (closes: #496143).
  * Added libmesh-doc package with doxygen-generated .php documentation files
    (closes: #496139).
  * I think docs require a PHP-capable web server, so I have dwww and the
    Apache PHP module in Suggests.
  * Added README.source.
  * Bumped Standards-Version.
  * Changed petsc dependencies from 2.3.3 to 3.0.0 (closes: #529477, #534057).
  * Uses new copyright format.
  * Included QPL in copyright (closes: #513814).
  * Removed Ondrej Certik from Uploaders list (closes: #550413).
  * Added SLEPc support (closes: #491382).

 -- Adam C. Powell, IV <hazelsct@debian.org>  Wed, 11 Nov 2009 14:34:41 -0500

libmesh (0.6.3.dfsg~rc1-1) unstable; urgency=low

  * New upstream release candidate.
  * Fixes slow matrix insertion (closes: #).
  * Package reorg: removed -pure packages, renamed 0.6.3-dev to -dev because
    there's no way to install multiple -dev packages simultaneously.

 -- Adam C. Powell, IV <hazelsct@debian.org>  Fri, 22 Aug 2008 14:02:08 -0400

libmesh (0.6.2.dfsg-2) unstable; urgency=low

  * Completed scotch shared lib transition (closes: #470418).
  * Added conflicts to -dev packages (closes: #486706, #486708).
  * Added --enable-perflog to configure lines (closes: #491379).
  * Added VTK support (closes: #491380).
  * Added working example makefiles, and modified README.Debian
    (closes: #491381).
  * Added infinite finite element support (closes: #491744).

 -- Adam C. Powell, IV <hazelsct@debian.org>  Tue, 22 Jul 2008 08:12:30 -0400

libmesh (0.6.2.dfsg-1) unstable; urgency=low

  * Added Adam Powell to Uploaders.
  * Upload of unreleased fixes (closes: #450500, #455670, #468550)
  * Turned on --enable-metis to use scotch metis compatibility.
  * Removed petscts libs from LDFLAGS because libmesh doesn't use it.
  * Removed a bunch of conflicts: only the -dev packages conflict with each
    other.
  * Changed -dev packages to arch all because they are.
  * Edited README.Debian removing petsc libraries from example link command
    because they're linked from libmesh (scotch too when 470422 is fixed).

 -- Adam C. Powell, IV <hazelsct@debian.org>  Wed, 11 Jun 2008 09:11:27 -0400

libmesh (0.6.2.dfsg-0.1) UNRELEASED; urgency=low

  * Non Maintainer Upload.
  * New upstream release (Closes: #450500)
  * Added second derivative support, passing --enable-second to the configure
    call (Closes: #468550)
  * Added support for scotchmetis with scotchmetis_support.patch.
  * Disabled metis, exodus and netcdf support, due to them needing libraries
    that weren't being installed.
  * Fixed gcc-4.3 issues with gcc-4.3_support.patch (Closes: #455670)
  * Modified dfsg version so it does clean nicely.

 -- Maximiliano Curia <maxy@gnuservers.com.ar>  Wed, 26 Mar 2008 21:56:46 -0300

libmesh (0.6.1.dfsg-3) unstable; urgency=low

  * Patches moved under the quilt control
  * Homepage moved to the Homepage field
  * Standards-Version bumped to 3.7.3

 -- Ondrej Certik <ondrej@certik.cz>  Sat, 16 Feb 2008 14:07:56 +0100

libmesh (0.6.1.dfsg-2) unstable; urgency=low

  * Rebuild against latest openmpi, that works

 -- Ondrej Certik <ondrej@certik.cz>  Sat, 15 Dec 2007 13:50:16 +0100

libmesh (0.6.1.dfsg-1) unstable; urgency=low

  [Ondrej Certik]
  * New upstream version
  * Ondrej Certik and Alan Woodland added to Uploaders.
  * Patch applied, so that libmesh-pure works with ExplicitSystem

  [ Christophe Prud'homme ]
  * debian/control: set XS-DM-Upload-Allowed to yes
 -- Christophe Prud'homme <prudhomm@debian.org>  Fri, 30 Nov 2007 11:09:35 +0100

libmesh (0.6.0~rc2.dfsg-3) unstable; urgency=low

  [Ondrej Certik]
  * Built against libpetsc2.3.3, which is now in Debian (Closes: #435532)
  
  [ Christophe Prud'homme ]
  * debian/control: modified maintainer and uploader fields

 -- Christophe Prud'homme <prudhomm@debian.org>  Mon, 03 Sep 2007 22:11:32 +0200

libmesh (0.6.0~rc2.dfsg-2oc1) unstable; urgency=low

  * Build against libpetsc2.3.3

 -- Ondrej Certik <ondrej@certik.cz>  Sun, 22 Jul 2007 16:26:55 +0200

libmesh (0.6.0~rc2.dfsg-2) unstable; urgency=low

  * Upload of unofficial revisions 1oc1, 1oc2, 1oc3 into Debian

 -- Ondrej Certik <ondrej@certik.cz>  Fri, 13 Jul 2007 12:15:25 +0200

libmesh (0.6.0~rc2.dfsg-1oc3) unstable; urgency=low

  * Build two libraries - one with petsc, the other without (libmesh0.6.0-pure)

 -- Ondrej Certik <ondrej@certik.cz>  Sat, 07 Jul 2007 19:42:14 +0200

libmesh (0.6.0~rc2.dfsg-1oc2) unstable; urgency=low

  * build without petsc

 -- Ondrej Certik <ondrej@certik.cz>  Sat, 07 Jul 2007 17:49:12 +0200

libmesh (0.6.0~rc2.dfsg-1oc1) unstable; urgency=low


