=== debian/control ===
Source: libmesh
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer:  Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: "Adam C. Powell, IV" <hazelsct@debian.org>, Christophe Prud'homme <prudhomm@debian.org>, Alan Woodland <ajw05@aber.ac.uk>
XS-DM-Upload-Allowed: yes
Build-Depends: debhelper (>= 5), quilt, autotools-dev (>= 20070306.1), autoconf,
 libpetsc3.1-dev, libslepc3.1-dev, libscotchmetis-dev (>= 5.0.6-2),
 libblas-dev | libblas-3gf.so, libnetcdf-dev, libtbb-dev, libvtk5-dev, libtool,
 automake, mpi-default-dev, enscript
Build-Depends-Indep: graphviz, doxygen-latex
Standards-Version: 3.9.2
Section: libs
Homepage: http://libmesh.sourceforge.net/

Package: libmesh-dev
Section: libdevel
Architecture: all
Depends: libmesh0.7.1 (>= ${binary:Version}), libpetsc3.1-dev, libslepc3.1-dev,
 libscotchmetis-dev (>= 5.0.6-2), libblas-dev | libblas-3gf.so, libnetcdf-dev,
 libtbb-dev, libvtk5-dev, ${misc:Depends} 
Conflicts: libmesh0.6.1-dev, libmesh0.6.1-pure-dev, libmesh0.6.2-dev, libmesh0.6.2-pure-dev
Replaces: libmesh0.6.1-dev, libmesh0.6.1-pure-dev, libmesh0.6.2-dev, libmesh0.6.2-pure-dev
Suggests: libmesh-doc
Description: libMesh - A C++ Finite Element Library
 The libMesh library is a C++ framework for the numerical simulation of partial
 differential equations on serial and parallel platforms. Development began in
 March 2002 with the intent of providing a friendly interface to a number of
 high-quality software packages that are publicly available. Currently the
 library supports 1D, 2D, and 3D steady and transient finite element and finite
 volume simulations. PETSc is currently used for the solution of linear systems
 on both serial and parallel platforms.
 .
 This package contains the C++ header files and shared library links (only
 needed for developing programs with libmesh).

Package: libmesh0.7.1
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: libmesh0.6.4
Replaces: libmesh0.6.4
Description: libMesh - A C++ Finite Element Library
 The libMesh library is a C++ framework for the numerical simulation of partial
 differential equations on serial and parallel platforms. Development began in
 March 2002 with the intent of providing a friendly interface to a number of
 high-quality software packages that are publicly available. Currently the
 library supports 1D, 2D, and 3D steady and transient finite element and finite
 volume simulations. PETSc is currently used for the solution of linear systems
 on both serial and parallel platforms.
 .
 This package contains the libMesh shared library.

Package: libmesh-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Suggests: libmesh-dev (>= ${source:Version}), dwww, libapache-mod-php5 | libapache2-mod-php5
Description: libMesh - A C++ Finite Element Library
 The libMesh library is a C++ framework for the numerical simulation of partial
 differential equations on serial and parallel platforms. Development began in
 March 2002 with the intent of providing a friendly interface to a number of
 high-quality software packages that are publicly available. Currently the
 library supports 1D, 2D, and 3D steady and transient finite element and finite
 volume simulations. PETSc is currently used for the solution of linear systems
 on both serial and parallel platforms.
 .
 This package contains the class documentation, manual pages and examples; much
 of the documentation is in PHP format.
