=== debian/watch ===
version=3
opts=dversionmangle=s/\.dfsg.*$//,uversionmangle=s/-(rc\d+)/~$1/ \
 http://sf.net/libmesh/libmesh-([\d\.rc-]+)\.tar\.gz
